Package com.smartgwt.client.ai

# Class ValidateDashboardComponentDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.ValidateDashboardComponentDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class ValidateDashboardComponentDataQuestionStep extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateDashboardComponentDataQuestionStep()`
  `ValidateDashboardComponentDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CreateDashboardComponentDataQuestionStepResult`
  `getCreateDashboardComponentStepResult()`
  `static ValidateDashboardComponentDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStepType`
  `getType()`
  The value VALIDATE_DASHBOARD_COMPONENT.
  `ValidateDashboardComponentDataQuestionStep`
  `setCreateDashboardComponentStepResult(CreateDashboardComponentDataQuestionStepResult createDashboardComponentStepResult)`
  `ValidateDashboardComponentDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value VALIDATE_DASHBOARD_COMPONENT.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateDashboardComponentDataQuestionStep

    public ValidateDashboardComponentDataQuestionStep()

  - ### ValidateDashboardComponentDataQuestionStep

    public ValidateDashboardComponentDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ValidateDashboardComponentDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setCreateDashboardComponentStepResult

    public ValidateDashboardComponentDataQuestionStep setCreateDashboardComponentStepResult(CreateDashboardComponentDataQuestionStepResult createDashboardComponentStepResult)
    Parameters:
      `createDashboardComponentStepResult` - New createDashboardComponentStepResult value. Default value is *initialized by the implementation*
    Returns:
      `ValidateDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getCreateDashboardComponentStepResult

    public CreateDashboardComponentDataQuestionStepResult getCreateDashboardComponentStepResult()
    Returns:
      Current createDashboardComponentStepResult value. Default value is *initialized by the implementation*

  - ### setType

    public ValidateDashboardComponentDataQuestionStep setType(DataQuestionStepType type)
    The value VALIDATE_DASHBOARD_COMPONENT.
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `ValidateDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value VALIDATE_DASHBOARD_COMPONENT.
    Returns:
      Current type value. Default value is null